# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Return the host's fully-qualified name
Name:		perl-Sys-Hostname-Long
Version:	1.4
Release:	7.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Sys-Hostname-Long/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SC/SCOTT/Sys-Hostname-Long-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(ExtUtils::MakeMaker)

%description
Attempt via many methods to get the system's full name. The Sys::Hostname
class is the best and standard way to get the system hostname. However,
it is missing the long hostname.

%prep
%setup -q -n Sys-Hostname-Long-%{version}

# Remove bogus dependencies
%global reqfilt /bin/sh -c "%{__perl_requires} | %{__grep} -Fvx 'perl(Win32::TieRegistry)'"
%define __perl_requires %{reqfilt}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* Changes
%{perl_vendorlib}/Sys/
%{_mandir}/man3/Sys::Hostname::Long.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 1.4-7
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 1.4-6
- Fix dist tag to work with RHEL6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> 1.4-5
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Sat Sep 26 2009 Paul Howarth <paul@city-fan.org> 1.4-4
- Clarify license as GPL (version 1 or later), or Artistic (i.e. same as perl)
- Define RPM macros in global scope

* Tue Jun  5 2007 Paul Howarth <paul@city-fan.org> 1.4-3
- Fix dist tag for Fedora 7 onwards
- Fix argument order for find with -depth
- BuildRequire perl(ExtUtils::MakeMaker)

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 1.4-2
- Simplify distribution-detection
- Remove macro %%{__perl_version}, used only once
- Remove macro %%{__perl_package}, used only twice
- Define %%{__id_u} in a more portable way
- Use search.cpan.org URLs
- Don't use macros in command paths, hardcode them instead
- Clear buildroot unconditionally in %%clean and %%install
- Fix directory ownership
- Don't bother setting compiler flags for noarch package

* Mon Jul  4 2005 Paul Howarth <paul@city-fan.org> 1.4-1
- Update to 1.4

* Tue Jun 21 2005 Paul Howarth <paul@city-fan.org> 1.2-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.2-1
- Update to 1.2
- Tidy up spec file
- Add kludge to remove bogus dependency on Win32::TieRegistry

* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> 1.0-2
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Thu Feb 26 2004 Paul Howarth <paul@city-fan.org> 1.0-1
- Initial build
